Libosmium: osmium::builder::NodeRefListBuilder< T > Class Template Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::builder::NodeRefListBuilder< T > Class Template Reference

`#include <osm_object_builder.hpp>`

Inheritance diagram for osmium::builder::NodeRefListBuilder< T >:
[legend]
Collaboration diagram for osmium::builder::NodeRefListBuilder< T >:
[legend]

## Public Member Functions
| NodeRefListBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
| NodeRefListBuilder (Builder &parent)
| NodeRefListBuilder (const NodeRefListBuilder &)=delete
NodeRefListBuilder & | operator= (const NodeRefListBuilder &)=delete
| NodeRefListBuilder (NodeRefListBuilder &&)=delete
NodeRefListBuilder & | operator= (NodeRefListBuilder &&)=delete
| ~NodeRefListBuilder ()
void | add_node_ref (const NodeRef &node_ref)
void | add_node_ref (const object_id_type ref, const osmium::Location &location=Location{})
Public Member Functions inherited from osmium::builder::Builder
| Builder (const Builder &)=delete
| Builder (Builder &&)=delete
Builder & | operator= (const Builder &)=delete
Builder & | operator= (Builder &&)=delete
osmium::memory::Buffer & | buffer () noexcept
| Return the buffer this builder is using.
void | add_item (const osmium::memory::Item &item)

## Additional Inherited Members
Protected Member Functions inherited from osmium::builder::Builder
| Builder (osmium::memory::Buffer &buffer, Builder *parent, osmium::memory::item_size_type size)
| ~Builder () noexcept
unsigned char * | item_pos () const noexcept
osmium::memory::Item & | item () const noexcept
unsigned char * | reserve_space (std::size_t size)
void | add_padding (bool self=false)
void | add_size (osmium::memory::item_size_type size)
uint32_t | size () const noexcept
template<typename T>
T * | reserve_space_for ()
osmium::memory::item_size_type | append (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append_with_zero (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append (const char *str)

## Constructor & Destructor Documentation

## ◆ NodeRefListBuilder() [1/4]

template<typename T>

osmium::builder::NodeRefListBuilder< T >::NodeRefListBuilder | ( | osmium::memory::Buffer & | buffer,
|  | Builder * | parent = nullptr )
| inlineexplicit

## ◆ NodeRefListBuilder() [2/4]

template<typename T>

osmium::builder::NodeRefListBuilder< T >::NodeRefListBuilder | ( | Builder & | parent | ) |
| inlineexplicit

## ◆ NodeRefListBuilder() [3/4]

template<typename T>

osmium::builder::NodeRefListBuilder< T >::NodeRefListBuilder | ( | const NodeRefListBuilder< T > & |  | ) |
| delete

## ◆ NodeRefListBuilder() [4/4]

template<typename T>

osmium::builder::NodeRefListBuilder< T >::NodeRefListBuilder | ( | NodeRefListBuilder< T > && |  | ) |
| delete

## ◆ ~NodeRefListBuilder()

template<typename T>

osmium::builder::NodeRefListBuilder< T >::~NodeRefListBuilder | ( |  | ) |
| inline

## Member Function Documentation

## ◆ add_node_ref() [1/2]

template<typename T>

void osmium::builder::NodeRefListBuilder< T >::add_node_ref | ( | const NodeRef & | node_ref | ) |
| inline

## ◆ add_node_ref() [2/2]

template<typename T>

void osmium::builder::NodeRefListBuilder< T >::add_node_ref | ( | const object_id_type | ref,
|  | const osmium::Location & | location = Location{} )
| inline

## ◆ operator=() [1/2]

template<typename T>

NodeRefListBuilder & osmium::builder::NodeRefListBuilder< T >::operator= | ( | const NodeRefListBuilder< T > & |  | ) |
| delete

## ◆ operator=() [2/2]

template<typename T>

NodeRefListBuilder & osmium::builder::NodeRefListBuilder< T >::operator= | ( | NodeRefListBuilder< T > && |  | ) |
| delete

The documentation for this class was generated from the following file:

- include/osmium/builder/osm_object_builder.hpp